## visad
Class Flow1Control

    java.lang.Object
      visad.Control
          visad.FlowControl
              visad.Flow1Control

All Implemented Interfaces:
  Cloneable, Serializable

public class Flow1Control
extends FlowControl

Flow1Control is the VisAD class for controlling Flow1 display scalars.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.FlowControl
`FlowControl.ProjectionControlListener`

Field Summary

Fields inherited from class visad.FlowControl
`adjustFlowToEarth, arrowScale, barbOrientation, cntrWeight, flowScale, HorizontalStreamSlice, HorizontalStreamSliceHeight, HorizontalVectorSlice, HorizontalVectorSliceHeight, n_pass, NH_ORIENTATION, packingFactor, reduction, SH_ORIENTATION, stepFactor, streamlineDensity, streamlinesEnabled, TrajectorySet, VerticalStreamSlice, VerticalVectorSlice`

Fields inherited from class visad.Control
`display, displayRenderer`

Constructor Summary
`Flow1Control(DisplayImpl d)`

Methods inherited from class visad.FlowControl

`clone, enableStreamlines, equals, getAdjustFlowToEarth, getArrowScale, getAutoScale, getBarbOrientation, getFlowScale, getSaveString, getStepFactor, getStreamlineDensity, getStreamlinePacking, getStreamlineReduction, getStreamlineSmoothing, nullControl, setAdjustFlowToEarth, setArrowScale, setAutoScale, setBarbOrientation, setFlowScale, setSaveString, setStepFactor, setStreamlineDensity, setStreamlinePacking, setStreamlineReduction, setStreamlineSmoothing, streamlinesEnabled, syncControl`

Methods inherited from class visad.Control
`addControlListener, animation_string, changeControl, checkTicks, getDisplay, getDisplayRenderer, getIndex, getInstanceNumber, incTick, peekTicks, removeControlListener, resetTicks, setIndex, setInstanceNumber, setTicks, subCheckTicks, subPeekTicks, subResetTicks, subSetTicks, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Flow1Control

    public Flow1Control(DisplayImpl d)